Page MenuHomePhabricator

[analyzer][NFC] Refactoring BugReporter.cpp P6.: Completely get rid of interestingness propagation
ClosedPublic

Authored by Szelethus on Jul 30 2019, 3:55 PM.

Details

Summary

Do you remember the teaser in D65378?

When you think about this, it makes sense. If something is really important, we're tracking it anyways, and that system is sophisticated enough to mark actually interesting statements as such. I wouldn't say that it's even likely that subexpressions are also interesting (array[10 - x + x]), so I guess even if this produced any effects, its probably undesirable.


I originally started working on this refactoring effort to dig from the point where diagnostics construction starts, down to this part of the code. Turns out it doesn't do anything. In fact, after the analysis ends, only visitors may mark objects as interesting (which has any actual effect), which is AMAZING to know, because ConditionBRVisitor only has interestiness to work with when it constructs a diagnostics piece.

Diff Detail

Repository
rL LLVM

Event Timeline

Szelethus created this revision.Jul 30 2019, 3:55 PM
NoQ accepted this revision.Aug 1 2019, 1:56 PM

I thereby confirm that i've no idea what was this code about.

This revision is now accepted and ready to land.Aug 1 2019, 1:56 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptAug 13 2019, 2:47 PM